PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

void CORE_slarfy | ( | int | N,
|  | float * | A,
|  | int | LDA,
|  | const float * | V,
|  | const float * | TAU,
|  | float * | WORK
| ) |  |

CORE_slarfy applies an elementary reflector, or Householder matrix, H, to a N-by-N hermitian matrix C, from both the left and the right.

H is represented in the form

H = I - tau * v * v'

where tau is a scalar and v is a vector.

If tau is zero, then H is taken to be the unit matrix.

Parameters

  [in] | N | The number of rows and columns of the matrix C. N >= 0.
  [in,out] | A | REAL array, dimension (LDA, N) On entry, the Hermetian matrix A. On exit, A is overwritten by H * A * H'.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,N).
  [in] | V | The vector V that contains the Householder reflectors.
  [in] | TAU | The value tau.
  [out] | WORK | Workspace.